VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Perpetual Calendar"
   ClientHeight    =   3570
   ClientLeft      =   3120
   ClientTop       =   2595
   ClientWidth     =   5865
   LinkTopic       =   "Form1"
   ScaleHeight     =   3570
   ScaleWidth      =   5865
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   495
      Left            =   4560
      TabIndex        =   6
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdDisplay 
      Caption         =   "Display"
      Height          =   495
      Left            =   4560
      TabIndex        =   5
      Top             =   1800
      Width           =   1215
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   4560
      TabIndex        =   4
      Top             =   120
      Width           =   1215
   End
   Begin VB.PictureBox picMonth 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2775
      Left            =   1560
      ScaleHeight     =   2715
      ScaleWidth      =   2835
      TabIndex        =   3
      Top             =   600
      Width           =   2895
   End
   Begin VB.ListBox lstMonth 
      Height          =   2400
      Left            =   480
      TabIndex        =   1
      Top             =   600
      Width           =   975
   End
   Begin VB.VScrollBar vsbYear 
      Height          =   2775
      LargeChange     =   10
      Left            =   120
      Max             =   2100
      Min             =   1900
      TabIndex        =   0
      Top             =   600
      Value           =   1900
      Width           =   255
   End
   Begin VB.Label lblYearSel 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      Caption         =   "1900"
      Height          =   255
      Left            =   600
      TabIndex        =   2
      Top             =   3120
      Width           =   615
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdClear_Click()
    picMonth.Cls                ' clear picture box
End Sub

Private Sub cmdDisplay_Click()
    Dim CalMonth As String, CalYear As Integer, FirstOfMonth As String
    Dim I As Integer, WhichDay As Integer
    CalMonth = lstMonth.Text        ' the selected month
    CalYear = vsbYear.Value         ' the selected year
    picMonth.Cls                    ' clear the picture box
    picMonth.Print Tab(6); CalMonth; " "; CalYear
    picMonth.Print                  ' blank line
    picMonth.Print "  S  M  T  W  T  F  S"  ' 2 spaces between each day
    picMonth.Print
    FirstOfMonth = "1 " + CalMonth + ", " & CalYear
    WhichDay = WeekDay(FirstOfMonth)    ' calculate starting day of month
    picMonth.Print Spc((WhichDay - 1) * 3); ' allow 3 spaces per day
    For I = 1 To LastDay(CalMonth, CalYear) ' loop starts
        picMonth.Print Format(I, "@@@");    ' format number to 3 chars
        If (WhichDay - 1 + I) Mod 7 = 0 Then ' end of week?
            picMonth.Print                   ' finish line
        End If
    Next I                                   ' end of loop
End Sub

Private Sub cmdExit_Click()
    End
End Sub

Private Sub Form_Load()
    With lstMonth
        .AddItem "January"      ' items cannot be added at design time
        .AddItem "February"     ' must be added at run time
        .AddItem "March"
        .AddItem "April"
        .AddItem "May"
        .AddItem "June"
        .AddItem "July"
        .AddItem "August"
        .AddItem "September"
        .AddItem "October"
        .AddItem "November"
        .AddItem "December"
        .ListIndex = 0          ' set default month to January
    End With
End Sub

Private Sub vsbYear_Change()
    lblYearSel.Caption = vsbYear.Value  ' copy scroll bar value to the label
End Sub

Private Function LastDay(ByVal SelMonth As String, ByVal SelYear As Integer) As Integer
    Select Case SelMonth
        Case "January", "March", "May", "July", "August", "October", "December"
            LastDay = 31
        Case "April", "June", "September", "November"
            LastDay = 30
        Case "February"
            LastDay = 28
            If (SelYear Mod 4 = 0) Then     ' leap year
                LastDay = 29
            End If
    End Select
End Function
